Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTHashFunctor< T, K > Class Template Reference

`#include <deHash.hpp>`

Inheritance diagram for deTHashFunctor< T, K >:

[legend]
Collaboration diagram for deTHashFunctor< T, K >:

[legend]
List of all members.

## Public Member Functions
| deTHashFunctor (const DWORD size)
| ~deTHashFunctor ()
DWORD | Length ()
T * | AddElement (const T &element, const K &key)
T * | FindElement (const K &key, DWORD *Index=(0)) const
deBoolean | RemoveElement (const K &key)
void | GetAllElements (deTArray< T * > &array)
void | RemoveAllElements ()
void | operator= (const deTHashFunctor< T, K > &ref)
T * | operator[] (const K &key)
## Private Member Functions
T * | FindElement (const K &key, HashNode *&Node, DWORD *Index=(0), DWORD *HashVal=(0)) const
## Private Attributes
DWORD | m_ElementNum
const DWORD | m_HashSize
deTArray< HashNode * > | m_Elements

### template<class T, class K>
class deTHashFunctor< T, K >

## Constructor & Destructor Documentation

template<class T, class K>
deTHashFunctor< T, K >::deTHashFunctor | ( | const DWORD | size | ) | `[inline]`

template<class T, class K>
deTHashFunctor< T, K >::~deTHashFunctor | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T, class K>
T* deTHashFunctor< T, K >::AddElement | ( | const T & | element,
|  | const K & | key
| ) | `[inline]`

template<class T, class K>
T* deTHashFunctor< T, K >::FindElement | ( | const K & | key,
|  | HashNode *& | Node,
|  | DWORD * | Index = (0),
|  | DWORD * | HashVal = (0)
| ) | const`[inline, private]`

template<class T, class K>
T* deTHashFunctor< T, K >::FindElement | ( | const K & | key,
|  | DWORD * | Index = (0)
| ) | const`[inline]`

template<class T, class K>
void deTHashFunctor< T, K >::GetAllElements | ( | deTArray< T * > & | array | ) | `[inline]`

template<class T, class K>
DWORD deTHashFunctor< T, K >::Length | ( |  | ) | `[inline]`

template<class T, class K>
void deTHashFunctor< T, K >::operator= | ( | const deTHashFunctor< T, K > & | ref | ) | `[inline]`

template<class T, class K>
T* deTHashFunctor< T, K >::operator[] | ( | const K & | key | ) | `[inline]`

template<class T, class K>
void deTHashFunctor< T, K >::RemoveAllElements | ( |  | ) | `[inline]`

template<class T, class K>
deBoolean deTHashFunctor< T, K >::RemoveElement | ( | const K & | key | ) | `[inline]`

## Member Data Documentation

template<class T, class K>
DWORD deTHashFunctor< T, K >::m_ElementNum`[private]`

template<class T, class K>
deTArray<HashNode*> deTHashFunctor< T, K >::m_Elements`[private]`

template<class T, class K>
const DWORD deTHashFunctor< T, K >::m_HashSize`[private]`

The documentation for this class was generated from the following file:

- deHash.hpp